Compilation windows/linux.

Bonjour, Je viens de compiler mon programme sous windows sans problème. Ensuite j'ai voulu compiler le même programme sous Linux mais impossible, cela me retourne une erreur du genre internal error compiler. Auriez vous déjà eu ce même problème?

Jamais eu le moindre problème sous Linux. Debian testing, IDE Arduino provenant des dépots Debian ou Eclipse.

Dans ton cas : Distribution ? IDE Arduino ? ou autre IDE (Eclipse, code::blocks, makefiles...) ?

Si IDE Arduino : Version ? Origine de l'IDE Arduino ---- Dépots de la distribution ? ---- Site Arduino ?

Hello,

Comme dit 68tjs, il nous faut plus d'info sur tes versions d'OS et IDE

Perso je suis sous Debian Wheezy avec Arduino des dépots sans pb. Je pense que dans ton cas il doit y avoir une différence de version d'Arduino entre Windows (que j'imagine tu as téléchargé) et Linux avec lequel tu as probablement installé Arduino via les dépots et qui doit être une version légèrement plus ancienne.

Debian Wheezy (Raspbian) Arduino Version 1.0.1 IDE Arduino installé par le dépôt de distribution

et la version de l'IDE sur Windows ? le code ?

En fait nous sommes tous les 3 avec la même distribution. Étonnant !

Tu es à jour : la 1.02 et 1.03 ne font qu'ajouter la carte manette de jeu et des détails insignifiants.

Il n'y aurait pas une couillonnade de motif de fin de ligne ? Microsoft ne fait jamais rien comme les autres et à changé l'indicatif de fin de ligne. Il y a aussi que Linux est passé depuis plusieurs années en UTF-8, Windows je ne sais pas. Et d'ailleurs quel Windows utilise-tu ? Un couper/coller du code dans un nouveau fichier sous Linux n'arrangerait-il pas les choses ?

Avez vous réussi à installer et exécuter la version 1.0.4? Si oui pouvez vous me dire comment car moi impossible de l’exécuter une erreur se produit.

Non dans les dépots debian wheezy c'est resté à la 1.01 et pour moi jusqu'à présent c'est suffisant. La version 1.03 est dans le dépot expérimental, je pense qu'ils attendent le passage imminent de wheezy en stable pour faire descendre la 1.03 (1.04) dans la future testing.

Le journal des modifications est situé dans : arduino/lib/version.txt La 1.04 est la dernière qui vient de sortir et rien ne prouve qu'elle n'est pas buggée. Et que t'apporte t'elle d'indispensable que la 1.01 n'a pas ? Tu as un Léonardo, une Explora ?

Arduino UNO

Donc la 1.01 de base fonctionne. J'ai même testé une 1.03, téléchargée du site arduino, mais bon j'aime pas trop avoir des programmes avec des versions différentes sur mon PC ( les versions Debian d'avr-gcc sont plus récentes que celles fournie par Arduino)

Bonjour,

alb12: Debian Wheezy (Raspbian) Arduino Version 1.0.1 IDE Arduino installé par le dépôt de distribution

Tu serait pas sur un Raspberry Pi par harsard ?

Raspberry Pi = architecture ARM = code compilé pour ARM (obligatoire). L'ide arduino (pour linux) n'est PAS fait tourner sur ARM.

Quand un dérivé de gcc sort un "Internal compiler error" (= segfault du compilateur) ça veut souvent dire que le binaire est foireux. Dans ce genre de cas ya pas beaucoup de solution : demander au mainteneur du paquet de regarder pourquoi ça marche pas et attendre une màj.

Oui, Raspian = Debian Linux pour Raspbery